Bug 53192 - Images in ppt file have wrong width when convering ppt to png
Summary: Images in ppt file have wrong width when convering ppt to png
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSLF (show other bugs)
Version: 3.8-FINAL
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-04 11:02 UTC by Dmitry Zamula
Modified: 2015-11-09 01:30 UTC (History)
0 users



Attachments
source ppt file (105.50 KB, application/vnd.ms-powerpoint)
2012-05-04 11:02 UTC, Dmitry Zamula
Details
result of converting (42.15 KB, image/png)
2012-05-04 11:02 UTC, Dmitry Zamula
Details
Render pptx (49.28 KB, image/png)
2012-05-15 08:57 UTC, Dmitry Zamula
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Zamula 2012-05-04 11:02:01 UTC
Created attachment 28727 [details]
source ppt file

There is error with some image - it has wrong width after converting ppt file to png.

public class Main {

    public static void main(String[] args) {
        String input[] = {"D:\\Test.ppt"};
        try {
            PPT2PNG.main(input);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
Comment 1 Dmitry Zamula 2012-05-04 11:02:35 UTC
Created attachment 28728 [details]
result of converting
Comment 2 Yegor Kozlov 2012-05-10 14:02:00 UTC
Does the problem happen only with .ppt files or with .pptx too? Save the attached file as .pptx and render. Does the result look OK ?

Yegor
Comment 3 Dmitry Zamula 2012-05-15 08:57:25 UTC
Created attachment 28779 [details]
Render pptx

With pptx render, result is much better, but the problem with image widht is remains (see the top picture).
Comment 4 Andreas Beeker 2015-11-09 01:30:08 UTC
Most of the mentioned issue was already fixed, but there was a problem with 
line breaks
in the source ppt which I've fixed with r1713332